pdftoppm(1)

NAME
pdftoppm - Portable Document Format (PDF) to Portable Pixmap (PPM) converter (version 3.02)

SYNOPSIS
pdftoppm [options] PDF-file PPM-root

DESCRIPTION
Pdftoppm converts Portable Document Format (PDF) files to color image files in Portable Pixmap (PPM) format, grayscale image files in Portable Graymap (PGM) format, or monochrome image files in Portable Bitmap (PBM) format.

Pdftoppm reads the PDF file, PDF-file, and writes one PPM file for each page, PPM-root-nnnnnn.ppm, where nnnnnn is the page number. If PPM-root is '-', the image is sent to stdout (this is probably only useful when converting a single page).

CONFIGURATION FILE
Pdftoppm reads a configuration file at startup. It first tries to find the user's private config file, ~/.xpdfrc. If that doesn't exist, it looks for a system-wide config file, typically /usr/local/etc/xpdfrc (but this location can be changed when pdftoppm is built). See the xpdfrc(5) man page for details.

OPTIONS
Many of the following options can be set with configuration file commands. These are listed in square brackets with the description of the corresponding command line option.

-f number
    Specifies the first page to convert.

-l number
    Specifies the last page to convert.

-r number
    Specifies the resolution, in DPI. The default is 150 DPI.

-mono
    Generate a monochrome PBM file (instead of a color PPM file).

-gray
    Generate a grayscale PGM file (instead of a color PPM file).

-t1lib yes | no
    Enable or disable t1lib (a Type 1 font rasterizer). This defaults to "yes". [config file: enableT1lib]

-freetype yes | no
    Enable or disable FreeType (a TrueType / Type 1 font rasterizer). This defaults to "yes". [config file: enableFreeType]

-aa yes | no
    Enable or disable font anti-aliasing. This defaults to "yes". [config file: antialias]

-aaVector yes | no
    Enable or disable vector anti-aliasing. This defaults to "yes". [config file: vectorAntialias]

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-q  Don't print any messages or errors. [config file: errQuiet]

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

99  Other error.

AUTHOR
The pdftoppm software and documentation are copyright 1996-2007 Glyph & Cog, LLC.

SEE ALSO
xpdf(1), pdftops(1), pdftotext(1), pdfinfo(1), pdffonts(1), pdfimages(1), xpdfrc(5)
http://www.foolabs.com/xpdf/